Bug 1418066 - ActionController::RoutingError (No route matches [GET] "/client/assets/images/cockpit.png")
Summary: ActionController::RoutingError (No route matches [GET] "/client/assets/images...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Josh Langholtz
QA Contact: Nandini Chandra
URL:
Whiteboard: ui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 18:36 UTC by Nandini Chandra
Modified: 2017-04-12 14:36 UTC (History)
9 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 14:36:54 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Description Nandini Chandra 2017-01-31 18:36:35 UTC
Description of problem:
-----------------------
This error is seen in the production.log file.

[----] I, [2017-01-27T12:27:33.443422 #3077:15a0c5c]  INFO -- : Started GET "/api/services/2?expand=vms&attributes=picture%2Cpicture.image_href%2Cevm_owner.name%2Cmiq_group.description%2Caggregate_all_vm_cpus%2Caggregate_all_vm_memory%2Caggregate_all_vm_disk_count%2Caggregate_all_vm_disk_space_allocated%2Caggregate_all_vm_disk_space_used%2Caggregate_all_vm_memory_on_disk%2Cactions%2Ccustom_actions%2Cprovision_dialog%2Cservice_template%2Cchargeback_report%2Cpower_state&decorators=vms.supports_console%3F%2Cvms.supports_cockpit%3F" for 127.0.0.1 at 2017-01-27 12:27:33 -0500
[----] I, [2017-01-27T12:27:33.445676 #3077:15a0c5c]  INFO -- : Processing by Api::ServicesController#show as JSON
[----] I, [2017-01-27T12:27:33.445768 #3077:15a0c5c]  INFO -- :   Parameters: {"expand"=>"vms", "attributes"=>"picture,picture.image_href,evm_owner.name,miq_group.description,aggregate_all_vm_cpus,aggregate_all_vm_memory,aggregate_all_vm_disk_count,aggregate_all_vm_disk_space_allocated,aggregate_all_vm_disk_space_used,aggregate_all_vm_memory_on_disk,actions,custom_actions,provision_dialog,service_template,chargeback_report,power_state", "decorators"=>"vms.supports_console?,vms.supports_cockpit?", "c_id"=>"2"}
[----] I, [2017-01-27T12:27:33.670094 #3077:15a0c5c]  INFO -- : Completed 200 OK in 224ms (Views: 0.2ms | ActiveRecord: 0.0ms)
[----] I, [2017-01-27T12:27:33.976171 #3043:15a51d0]  INFO -- : Started GET "/client/assets/images/cockpit.png" for 127.0.0.1 at 2017-01-27 12:27:33 -0500
[----] F, [2017-01-27T12:27:34.107657 #3043:15a51d0] FATAL -- :
[----] F, [2017-01-27T12:27:34.107820 #3043:15a51d0] FATAL -- : ActionController::RoutingError (No route matches [GET] "/client/assets/images/cockpit.png"):
[----] F, [2017-01-27T12:27:34.107894 #3043:15a51d0] FATAL -- :
[----] F, [2017-01-27T12:27:34.107944 #3043:15a51d0] FATAL -- : actionpack (5.0.0.1) lib/action_dispatch/middleware/debug_exceptions.rb:53:in `call'
[----] F, [2017-01-27T12:27:34.107986 #3043:15a51d0] FATAL -- : actionpack (5.0.0.1) lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
[----] F, [2017-01-27T12:27:34.108028 #3043:15a51d0] FATAL -- : railties (5.0.0.1) lib/rails/rack/logger.rb:36:in `call_app'
[----] F, [2017-01-27T12:27:34.108086 #3043:15a51d0] FATAL -- : railties (5.0.0.1) lib/rails/rack/logger.rb:26:in `call'
[----] F, [2017-01-27T12:27:34.108125 #3043:15a51d0] FATAL -- : request_store (1.3.2) lib/request_store/middleware.rb:9:in `call'
[----] F, [2017-01-27T12:27:34.108168 #3043:15a51d0] FATAL -- : actionpack (5.0.0.1) lib/action_dispatch/middleware/request_id.rb:24:in `call'
[----] F, [2017-01-27T12:27:34.108207 #3043:15a51d0] FATAL -- : rack (2.0.1) lib/rack/method_override.rb:22:in `call'
[----] F, [2017-01-27T12:27:34.108244 #3043:15a51d0] FATAL -- : rack (2.0.1) lib/rack/runtime.rb:22:in `call'
[----] F, [2017-01-27T12:27:34.108279 #3043:15a51d0] FATAL -- : activesupport (5.0.0.1) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
[----] F, [2017-01-27T12:27:34.108315 #3043:15a51d0] FATAL -- : actionpack (5.0.0.1) lib/action_dispatch/middleware/executor.rb:12:in `call'
[----] F, [2017-01-27T12:27:34.108356 #3043:15a51d0] FATAL -- : rack (2.0.1) lib/rack/sendfile.rb:111:in `call'
[----] F, [2017-01-27T12:27:34.108405 #3043:15a51d0] FATAL -- : railties (5.0.0.1) lib/rails/engine.rb:522:in `call'
[----] F, [2017-01-27T12:27:34.108447 #3043:15a51d0] FATAL -- : puma (3.3.0) lib/puma/configuration.rb:224:in `call'
[----] F, [2017-01-27T12:27:34.108483 #3043:15a51d0] FATAL -- : puma (3.3.0) lib/puma/server.rb:561:in `handle_request'
[----] F, [2017-01-27T12:27:34.108519 #3043:15a51d0] FATAL -- : puma (3.3.0) lib/puma/server.rb:406:in `process_client'
[----] F, [2017-01-27T12:27:34.108555 #3043:15a51d0] FATAL -- : puma (3.3.0) lib/puma/server.rb:271:in `block in run'
[----] F, [2017-01-27T12:27:34.108592 #3043:15a51d0] FATAL -- : puma (3.3.0) lib/puma/thread_pool.rb:111:in `block in spawn_thread'
[----] I, [2017-01-27T12:27:47.792119 #3077:15a03c4]  INFO -- : Started GET "/api" for 127.0.0.1 at 2017-01-27 12:27:47 -0500
[----] I, [2017-01-27T12:27:47.794758 #3077:15a03c4]  INFO -- : Processing by Api::ApiController#index as JSON
[----] I, [2017-01-27T12:27:47.831319 #3077:15a03c4]  INFO -- : Completed 200 OK in 36ms (Views: 0.4ms | ActiveRecord: 0.0ms)
[----] I, [2017-01-27T12:28:02.415260 #3077:15a133c]  INFO -- : Started GET "/api/services?filter[]=ancestry%3Dnull" for 127.0.0.1 at 2017-01-27 12:28:02 -0500
[----] I, [2017-01-27T12:28:02.418185 #3077:15a133c]  INFO -- : Processing by Api::ServicesController#show as JSON
[----] I, [2017-01-27T12:28:02.418309 #3077:15a133c]  INFO -- :   Parameters: {"filter"=>["ancestry=null"]}
[----] I, [2017-01-27T12:28:02.425485 #3077:15a1148]  INFO -- : Started GET "/api/service_orders?filter[]=state%3Dordered" for 127.0.0.1 at 2017-01-27 12:28:02 -0500
[----] I, [2017-01-27T12:28:02.427864 #3077:15a1148]  INFO -- : Processing by Api::ServiceOrdersController#show as JSON
[----] I, [2017-01-27T12:28:02.432319 #3077:15a0c5c]  INFO -- : Started GET "/api/blueprints?filter[]=id%3E0" for 127.0.0.1 at 2017-01-27 12:28:02 -0500
[----] I, [2017-01-27T12:28:02.432857 #3077:15a1148]  INFO -- :   Parameters: {"filter"=>["state=ordered"]}
[----] I, [2017-01-27T12:28:02.433604 #3077:15a14b8]  INFO -- : Started GET "/api/service_templates?filter[]=service_template_catalog_id%3E0&filter[]=display%3Dtrue" for 127.0.0.1 at 2017-01-27 12:28:02 -0500
[----] I, [2017-01-27T12:28:02.436748 #3077:15a03c4]  INFO -- : Started GET "/api/arbitration_profiles?filter[]=id%3E0" for 127.0.0.1 at 2017-01-27 12:28:02 -0500
[----] I, [2017-01-27T12:28:02.438620 #3077:15a0c5c]  INFO -- : Processing by Api::BlueprintsController#show as JSON
[----] I, [2017-01-27T12:28:02.444353 #3077:15a14b8]  INFO -- : Processing by Api::ServiceTemplatesController#show as JSON
[----] I, [2017-01-27T12:28:02.457019 #3077:15a03c4]  INFO -- : Processing by Api::ArbitrationProfilesController#show as JSON
[----] I, [2017-01-27T12:28:02.464926 #3077:15a0c5c]  INFO -- :   Parameters: {"filter"=>["id>0"]}
[----] I, [2017-01-27T12:28:02.465118 #3077:15a14b8]  INFO -- :   Parameters: {"filter"=>["service_template_catalog_id>0", "display=true"]}
[----] I, [2017-01-27T12:28:02.472873 #3077:15a03c4]  INFO -- :   Parameters: {"filter"=>["id>0"]}
[----] I, [2017-01-27T12:28:02.565112 #3077:15a133c]  INFO -- : Completed 200 OK in 147ms (Views: 0.4ms | ActiveRecord: 0.0ms)
[----] I, [2017-01-27T12:28:02.577130 #3077:15a1148]  INFO -- : Completed 200 OK in 138ms (Views: 0.3ms | ActiveRecord: 0.0ms)
[----] I, [2017-01-27T12:28:02.651031 #3077:15a0c5c]  INFO -- : Completed 200 OK in 112ms (Views: 0.4ms | ActiveRecord: 0.0ms)


Version-Release number of selected component (if applicable):
------------------------------------------------------------
5.7.1


How reproducible:
----------------
Not sure


Steps to Reproduce:
-------------------
1.
2.
3.


Actual results:
---------------
Routing error in the logs


Expected results:
-----------------
No errors


Additional info:
----------------

Comment 3 Nandini Chandra 2017-02-10 18:59:49 UTC
Eric,

I'm thinking this error is seen because of the missing Cockpit icon for VMs on SSUI.

Comment 6 Nandini Chandra 2017-03-27 18:21:47 UTC
Verified in 5.7.2.0

Comment 9 errata-xmlrpc 2017-04-12 14:36:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.